DatabaseMigrationClient¶
- class oci.database_migration.DatabaseMigrationClient(config, **kwargs)¶
Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
Methods:
__init__(config, **kwargs)Creates a new service client
abort_job(job_id, **kwargs)Aborts a Migration Job (either Evaluation or Migration).
add_assessment_objects(assessment_id, ...)Add excluded/included object to the list.
add_migration_objects(migration_id, ...)Add excluded/included object to the list.
change_assessment_compartment(assessment_id, ...)Used to change the Assessment compartment.
change_connection_compartment(connection_id, ...)Used to change the Database Connection compartment.
change_migration_compartment(migration_id, ...)Used to change the Migration compartment.
clone_assessment(assessment_id, ...)Clone a configuration from an existing Assessment.
clone_migration(migration_id, ...)Clone a configuration from an existing Migration.
collect_traces(job_id, ...)Collects the DB trace and alert logs.
connection_diagnostics(connection_id, **kwargs)Perform connection test for a database connection.
create_assessment(create_assessment_details, ...)Create an Assessment resource that contains all the details to perform the database assessment operation, such as source and destination database details, network throughput, accepted downtime etc.
create_connection(create_connection_details, ...)Create a Database Connection resource that contains the details to connect to either a Source or Target Database in the migration.
create_migration(create_migration_details, ...)Create a Migration resource that contains all the details to perform the database migration operation, such as source and destination database details, credentials, etc.
create_parameter_file_version(job_id, ...)Creates a new version of the current parameter file contents to the specified value.
delete_assessment(assessment_id, **kwargs)Deletes the Assessment represented by the specified assessment ID.
delete_connection(connection_id, **kwargs)Deletes the Database Connection represented by the specified connection ID.
delete_job(job_id, **kwargs)Deletes the migration job represented by the given job ID.
delete_migration(migration_id, **kwargs)Deletes the Migration represented by the specified migration ID.
delete_parameter_file_version(job_id, ...)Deletes the given parameter file version
evaluate_migration(migration_id, **kwargs)Start Validate Migration job.
get_advisor_report(job_id, **kwargs)Get the Pre-Migration Advisor report details
get_assessment(assessment_id, **kwargs)Display Assessment details.
get_assessor(assessment_id, assessor_name, ...)Display Assessor details.
get_assessor_check(assessment_id, ...)Get Assessor Check details.
get_connection(connection_id, **kwargs)Display Database Connection details.
get_data_verification_detail(migration_id, ...)Returns availability and report status information used by the Data Verification UI.
get_job(job_id, **kwargs)Get a migration job.
get_job_output_content(job_id, **kwargs)Get the migration Job Output content as a String.
get_migration(migration_id, **kwargs)Display Migration details.
Obtain the parameter file version contents for the specified parameter file name and the associated job.
get_script(script_id, **kwargs)Download DMS script.
get_work_request(work_request_id, **kwargs)Gets the details of a work request.
list_advisor_report_check_objects(job_id, ...)Get the Pre-Migration extended Advisor report object list.
list_advisor_report_checks(job_id, **kwargs)List of Pre-Migration checks from the advisor.
list_affected_objects(assessment_id, ...)Display Check Affected objects.
Display sample object types to exclude or include for an Assessment.
list_assessment_objects(assessment_id, **kwargs)Display excluded/included objects.
list_assessments(compartment_id, **kwargs)List all Assessments.
list_assessor_checks(assessment_id, ...)List Assessor Check Summaries.
list_assessors(assessment_id, **kwargs)List all Assessors.
list_connections(compartment_id, **kwargs)List all Database Connections.
Lists per-object status comparison results for a migration.
Lists object type count comparison results for a migration.
Lists table row count comparison results for a migration.
List supported Database Types, Sub-types and Versions.
list_excluded_objects(job_id, **kwargs)List the excluded database objects.
list_job_outputs(job_id, **kwargs)List the Job Outputs
list_jobs(migration_id, **kwargs)List all the names of the Migration jobs associated to the specified migration site.
list_migration_object_types(connection_type, ...)Display sample object types to exclude or include for a Migration.
list_migration_objects(migration_id, **kwargs)Display excluded/included objects.
list_migration_parameters(**kwargs)List of parameters that can be used to customize migrations.
list_migrations(compartment_id, **kwargs)List all Migrations.
list_parameter_file_versions(job_id, **kwargs)Return a list of the parameter file metadata of the migration execution of the specified job.
list_work_request_errors(work_request_id, ...)Gets the errors for a work request.
list_work_request_logs(work_request_id, **kwargs)Gets the logs for a work request.
list_work_requests(compartment_id, **kwargs)Lists the work requests in a compartment or for a specified resource.
make_current_parameter_file_version(job_id, ...)Make current the given parameter file version
perform_assessor_action(assessment_id, ...)Assessor Action.
Download SQL script Assessor Action.
perform_assessor_check_action(assessment_id, ...)Assessor Check Action.
remove_assessment_objects(assessment_id, ...)Remove excluded/included objects.
remove_migration_objects(migration_id, ...)Remove excluded/included objects.
resume_job(job_id, **kwargs)Resume a migration Job.
retrieve_supported_phases(migration_id, **kwargs)Display Migration Phases for a specified migration.
run_data_verification(migration_id, ...)Runs Data Verification for a migration and returns the updated Data Verification summary.
start_migration(migration_id, **kwargs)Start Migration job.
suspend_job(job_id, **kwargs)Place the currently executing migration Job in a Suspended State.
update_advisor_report_check(job_id, ...)Update the premigration extended Advisor report check.
update_advisor_report_check_objects(job_id, ...)Update the Pre-Migration extended Advisor report object list.
update_assessment(assessment_id, ...)Update Assessment resource details.
Update the advisor report object list.
update_connection(connection_id, ...)Update Database Connection resource details.
update_job(job_id, update_job_details, **kwargs)Update Migration Job resource details.
update_migration(migration_id, ...)Update Migration resource details.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- abort_job(job_id, **kwargs)¶
Aborts a Migration Job (either Evaluation or Migration).
- Parameters
job_id (str) – (required) The OCID of the job
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use abort_job API.
- add_assessment_objects(assessment_id, add_assessment_objects_details, **kwargs)¶
Add excluded/included object to the list.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
add_assessment_objects_details (oci.database_migration.models.AssessmentObjectCollection) – (required) Arrays of object.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use add_assessment_objects API.
- add_migration_objects(migration_id, add_migration_objects_details, **kwargs)¶
Add excluded/included object to the list.
- Parameters
migration_id (str) – (required) The OCID of the migration
add_migration_objects_details (oci.database_migration.models.MigrationObjectCollection) – (required) Arrays of object.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use add_migration_objects API.
- change_assessment_compartment(assessment_id, change_assessment_compartment_details, **kwargs)¶
Used to change the Assessment compartment.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
change_assessment_compartment_details (oci.database_migration.models.ChangeAssessmentCompartmentDetails) – (required) Details to change the compartment.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_assessment_compartment API.
- change_connection_compartment(connection_id, change_connection_compartment_details, **kwargs)¶
Used to change the Database Connection compartment.
- Parameters
connection_id (str) – (required) The OCID of the database connection.
change_connection_compartment_details (oci.database_migration.models.ChangeConnectionCompartmentDetails) – (required) Details to change the compartment.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_connection_compartment API.
- change_migration_compartment(migration_id, change_migration_compartment_details, **kwargs)¶
Used to change the Migration compartment.
- Parameters
migration_id (str) – (required) The OCID of the migration
change_migration_compartment_details (oci.database_migration.models.ChangeMigrationCompartmentDetails) – (required) Details to change the compartment.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_migration_compartment API.
- clone_assessment(assessment_id, clone_assessment_details, **kwargs)¶
Clone a configuration from an existing Assessment.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
clone_assessment_details (oci.database_migration.models.CloneAssessmentDetails) – (required) Clone Assessment properties.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessment- Return type
- Example
Click here to see an example of how to use clone_assessment API.
- clone_migration(migration_id, clone_migration_details, **kwargs)¶
Clone a configuration from an existing Migration.
- Parameters
migration_id (str) – (required) The OCID of the migration
clone_migration_details (oci.database_migration.models.CloneMigrationDetails) – (required) Clone Migration properties.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use clone_migration API.
- collect_traces(job_id, collect_traces_details, **kwargs)¶
Collects the DB trace and alert logs.
- Parameters
job_id (str) – (required) The OCID of the job
collect_traces_details (oci.database_migration.models.CollectTracesDetails) – (required) Information on where the traces will be stored.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use collect_traces API.
- connection_diagnostics(connection_id, **kwargs)¶
Perform connection test for a database connection.
- Parameters
connection_id (str) – (required) The OCID of the database connection.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
is_assessment_validation (bool) – (optional) When true, run assessment validation checks (e.g., DMSROLE) and include database information (name/version/size) in the response.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDiagnosticsResult- Return type
- Example
Click here to see an example of how to use connection_diagnostics API.
- create_assessment(create_assessment_details, **kwargs)¶
Create an Assessment resource that contains all the details to perform the database assessment operation, such as source and destination database details, network throughput, accepted downtime etc.
- Parameters
create_assessment_details (oci.database_migration.models.CreateAssessmentDetails) – (required) Assessment properties.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessment- Return type
- Example
Click here to see an example of how to use create_assessment API.
- create_connection(create_connection_details, **kwargs)¶
Create a Database Connection resource that contains the details to connect to either a Source or Target Database in the migration.
- Parameters
create_connection_details (oci.database_migration.models.CreateConnectionDetails) – (required) Database Connection properties.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnection- Return type
- Example
Click here to see an example of how to use create_connection API.
- create_migration(create_migration_details, **kwargs)¶
Create a Migration resource that contains all the details to perform the database migration operation, such as source and destination database details, credentials, etc.
- Parameters
create_migration_details (oci.database_migration.models.CreateMigrationDetails) – (required) Migration properties.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_migration API.
- create_parameter_file_version(job_id, create_parameter_file_version_details, **kwargs)¶
Creates a new version of the current parameter file contents to the specified value.
- Parameters
job_id (str) – (required) The OCID of the job
create_parameter_file_version_details (oci.database_migration.models.CreateParameterFileVersionDetails) – (required) The parameter file version details to be created
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use create_parameter_file_version API.
- delete_assessment(assessment_id, **kwargs)¶
Deletes the Assessment represented by the specified assessment ID.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_assessment API.
- delete_connection(connection_id, **kwargs)¶
Deletes the Database Connection represented by the specified connection ID.
- Parameters
connection_id (str) – (required) The OCID of the database connection.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_connection API.
- delete_job(job_id, **kwargs)¶
Deletes the migration job represented by the given job ID.
- Parameters
job_id (str) – (required) The OCID of the job
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_job API.
- delete_migration(migration_id, **kwargs)¶
Deletes the Migration represented by the specified migration ID.
- Parameters
migration_id (str) – (required) The OCID of the migration
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_migration API.
- delete_parameter_file_version(job_id, parameter_file_name, **kwargs)¶
Deletes the given parameter file version
- Parameters
job_id (str) – (required) The OCID of the job
parameter_file_name (str) – (required) A unique name associated with the current migration/job and extract/replicat name
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_parameter_file_version API.
- evaluate_migration(migration_id, **kwargs)¶
Start Validate Migration job.
- Parameters
migration_id (str) – (required) The OCID of the migration
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use evaluate_migration API.
- get_advisor_report(job_id, **kwargs)¶
Get the Pre-Migration Advisor report details
- Parameters
job_id (str) – (required) The OCID of the job
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdvisorReport- Return type
- Example
Click here to see an example of how to use get_advisor_report API.
- get_assessment(assessment_id, **kwargs)¶
Display Assessment details.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessment- Return type
- Example
Click here to see an example of how to use get_assessment API.
- get_assessor(assessment_id, assessor_name, **kwargs)¶
Display Assessor details.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
assessor_name (str) – (required) The name of the Assessor
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_assessor API.
- get_assessor_check(assessment_id, compartment_id, assessor_name, check_name, **kwargs)¶
Get Assessor Check details.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
compartment_id (str) – (required) The ID of the compartment in which to list resources.
assessor_name (str) – (required) The name of the Assessor
check_name (str) – (required) The Name of the assessor check
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessorCheck- Return type
- Example
Click here to see an example of how to use get_assessor_check API.
- get_connection(connection_id, **kwargs)¶
Display Database Connection details.
- Parameters
connection_id (str) – (required) The OCID of the database connection.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnection- Return type
- Example
Click here to see an example of how to use get_connection API.
- get_data_verification_detail(migration_id, **kwargs)¶
Returns availability and report status information used by the Data Verification UI.
- Parameters
migration_id (str) – (required) The OCID of the migration
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDataVerificationDetail- Return type
- Example
Click here to see an example of how to use get_data_verification_detail API.
- get_job(job_id, **kwargs)¶
Get a migration job.
- Parameters
job_id (str) – (required) The OCID of the job
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_job API.
- get_job_output_content(job_id, **kwargs)¶
Get the migration Job Output content as a String.
- Parameters
job_id (str) – (required) The OCID of the job
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_job_output_content API.
- get_migration(migration_id, **kwargs)¶
Display Migration details.
- Parameters
migration_id (str) – (required) The OCID of the migration
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_migration API.
- get_parameter_file_version(parameter_file_name, job_id, **kwargs)¶
Obtain the parameter file version contents for the specified parameter file name and the associated job. This operation will be allowed only if the job is certain acceptable lifecycle states.
- Parameters
parameter_file_name (str) – (required) A unique name associated with the current migration/job and extract/replicat name
job_id (str) – (required) The OCID of the job
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeParameterFileVersion- Return type
- Example
Click here to see an example of how to use get_parameter_file_version API.
- get_script(script_id, **kwargs)¶
Download DMS script.
- Parameters
script_id (str) –
(required) The ID of the script to download.
Allowed values are: “USER_CREATION_SQL_SCRIPT”
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_script API.
- get_work_request(work_request_id, **kwargs)¶
Gets the details of a work request.
- Parameters
work_request_id (str) – (required) The ID of the asynchronous request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequest- Return type
- Example
Click here to see an example of how to use get_work_request API.
- list_advisor_report_check_objects(job_id, advisor_report_check_id, **kwargs)¶
Get the Pre-Migration extended Advisor report object list.
- Parameters
job_id (str) – (required) The OCID of the job
advisor_report_check_id (str) – (required) The ID of the advisor check
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdvisorReportCheckObjectsCollection- Return type
- Example
Click here to see an example of how to use list_advisor_report_check_objects API.
- list_advisor_report_checks(job_id, **kwargs)¶
List of Pre-Migration checks from the advisor.
- Parameters
job_id (str) – (required) The OCID of the job
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdvisorReportCheckCollection- Return type
- Example
Click here to see an example of how to use list_advisor_report_checks API.
- list_affected_objects(assessment_id, assessor_name, check_name, **kwargs)¶
Display Check Affected objects.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
assessor_name (str) – (required) The name of the Assessor
check_name (str) – (required) The Name of the assessor check
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for name is custom based on it’s usage frequency. If no value is specified name is default.
Allowed values are: “name”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAffectedObjectsCollection- Return type
- Example
Click here to see an example of how to use list_affected_objects API.
- list_assessment_object_types(connection_type, **kwargs)¶
Display sample object types to exclude or include for an Assessment.
- Parameters
connection_type (str) –
(required) The connection type for assessment objects.
Allowed values are: “MYSQL”, “ORACLE”
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for name is custom based on it’s usage frequency. If no value is specified name is default.
Allowed values are: “name”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessmentObjectTypeSummaryCollection- Return type
- Example
Click here to see an example of how to use list_assessment_object_types API.
- list_assessment_objects(assessment_id, **kwargs)¶
Display excluded/included objects.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessmentObjectCollection- Return type
- Example
Click here to see an example of how to use list_assessment_objects API.
- list_assessments(compartment_id, **kwargs)¶
List all Assessments.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
lifecycle_state (str) –
(optional) The lifecycle state of the Assessment.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “SUCCEEDED”, “IN_PROGRESS”, “NEEDS_ATTENTION”, “DELETING”, “DELETED”, “FAILED”
lifecycle_details (str) –
(optional) The lifecycle detailed status of the Migration.
Allowed values are: “READY”, “ABORTING”, “VALIDATING”, “VALIDATED”, “ASSESSED”, “WAITING”, “MIGRATING”, “DONE”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessmentCollection- Return type
- Example
Click here to see an example of how to use list_assessments API.
- list_assessor_checks(assessment_id, compartment_id, assessor_name, **kwargs)¶
List Assessor Check Summaries.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
compartment_id (str) – (required) The ID of the compartment in which to list resources.
assessor_name (str) – (required) The name of the Assessor
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessorCheckSummaryCollection- Return type
- Example
Click here to see an example of how to use list_assessor_checks API.
- list_assessors(assessment_id, **kwargs)¶
List all Assessors.
- Parameters
assessment_id (str) – (required) The OCID of the Assessment
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
lifecycle_state (str) –
(optional) The lifecycle state of the Assessor.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “SUCCEEDED”, “NEEDS_ATTENTION”, “FAILED”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssessorSummaryCollection- Return type
- Example
Click here to see an example of how to use list_assessors API.
- list_connections(compartment_id, **kwargs)¶
List all Database Connections.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
technology_type (list[str]) –
(optional) The array of technology types.
Allowed values are: “OCI_AUTONOMOUS_DATABASE”, “OCI_MYSQL”, “ORACLE_DATABASE”, “ORACLE_EXADATA”, “AMAZON_RDS_ORACLE”, “AMAZON_AURORA_MYSQL”, “AMAZON_RDS_MYSQL”, “AZURE_MYSQL”, “GOOGLE_CLOUD_SQL_MYSQL”, “MYSQL_SERVER”
technology_sub_type (str) – (optional) The database technology sub-type.
connection_type (list[str]) –
(optional) The array of connection types.
Allowed values are: “MYSQL”, “ORACLE”
source_connection_id (str) – (optional) The OCID of the source database connection.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
lifecycle_state (str) –
(optional) The current state of the Database Migration Deployment.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “DELETING”, “DELETED”, “FAILED”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConnectionCollection- Return type
- Example
Click here to see an example of how to use list_connections API.
- list_data_verification_object_statuses(migration_id, compartment_id, **kwargs)¶
Lists per-object status comparison results for a migration.
The objectType filter is a database-specific string and is validated by the backend.
- Parameters
migration_id (str) – (required) The OCID of the migration
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
name (str) – (optional) A filter to return only resources that match the entire name given.
owner (str) – (optional) A filter to return only results for a specific owner.
object_type (str) –
(optional) A filter to return only results for a specific object type.
The allowed values depend on the migration’s databaseCombination: - Oracle migrations: OracleDatabaseObjectTypes - MySQL migrations: MySqlDatabaseObjectTypes
filter (str) – (optional) Free-text filter applied by the service to relevant fields for the report.
is_match (bool) –
(optional) Match filter for object status results.
When true, returns only rows where source and target match. When false, returns only rows with mismatches. When omitted, returns all rows, ordered by mismatch first.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. By default, non-matching object statuses are returned first, followed by matching statuses. Rows with the same match result are then sorted by owner, object type, and object name.
Allowed values are: “isMatch”, “owner”, “objectType”, “objectName”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDataVerificationObjectStatusCollection- Return type
- Example
Click here to see an example of how to use list_data_verification_object_statuses API.
- list_data_verification_object_type_counts(migration_id, compartment_id, **kwargs)¶
Lists object type count comparison results for a migration.
The objectType filter is a database-specific string and is validated by the backend.
- Parameters
migration_id (str) – (required) The OCID of the migration
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
schema_name (str) – (optional) A filter to return only results for a specific schema/owner.
object_type (str) –
(optional) A filter to return only results for a specific object type.
The allowed values depend on the migration’s databaseCombination: - Oracle migrations: OracleDatabaseObjectTypes - MySQL migrations: MySqlDatabaseObjectTypes
filter (str) – (optional) Free-text filter applied by the service to relevant fields for the report.
min_abs_delta_percent (float) –
(optional) Minimum absolute deltaPercent threshold (magnitude) to return. The service filters results where abs(deltaPercent) >= minAbsDeltaPercent. Must be non-negative.
Note: This filter applies to the object type counts report, which uses deltaPercent. Table row count reports use variancePercent instead.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for deltaPercent is descending.
Allowed values are: “deltaPercent”, “schemaName”, “objectType”, “sourceObjectCount”, “targetObjectCount”, “sourceInvalidCount”, “targetInvalidCount”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDataVerificationObjectTypeCountCollection- Return type
- Example
Click here to see an example of how to use list_data_verification_object_type_counts API.
- list_data_verification_table_row_counts(migration_id, compartment_id, **kwargs)¶
Lists table row count comparison results for a migration.
- Parameters
migration_id (str) – (required) The OCID of the migration
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
owner (str) – (optional) A filter to return only results for a specific owner.
table_name (str) – (optional) A filter to return only results for a specific table.
filter (str) – (optional) Free-text filter applied by the service to relevant fields for the report.
min_abs_delta_percent (float) –
[...]
